#include "interrupts.h"

void init_interrupts(int flags, void * irq_function) 
{
	SetInterrupt(0);
	
  REG_INTERUPT = (u32)irq_function; 
  REG_IE = flags;
  REG_IF = 0x00;
	if (flags & INT_VBLANK)
		REG_DISPSTAT = 8;	// Enable display V-Blank IRQ also.
	SetInterrupt(1);
}


