#ifndef _qmath_h
#define _qmath_h
#include "gba.h"
/* qmath
  maths functions to save using the gcc lib ones
  these are more GBA oriented. 
  
  */

// typedef signed short FIXED
u16 qarctan(u16 opposite, u16 adjacent);
void SeedRand(u32 seed);
void ChurnRand(void);
u32 GetRand(u32 nMax);

#endif

