
#include "sprite.h"

u16* OAM = (u16*)0x7000000;
pRotData rotData = (pRotData)sprites;


#if 1
void MoveSprite(OAMEntry* sp, int x, int y) {
  if(x < 0) //if it is off the left corect
    x = 512 + x;
  if(y < 0) //if off the top corect
    y = 256 + y;

  /* because x is 9 bits, we need to clear out bits 10-15,
     so we dont mess up any rotation data */
  x &= 0x01FF;
  sp->attribute1 = sp->attribute1 & 0xFE00;  //clear the old x value
  sp->attribute1 = sp->attribute1 | x;
  y &= 0x00FF;
  sp->attribute0 = sp->attribute0 & 0xFF00;  //clear the old y value
  sp->attribute0 = sp->attribute0 | y;

}

void CopyOAM(void) {
  int loop;
  unsigned long int* dst = (unsigned long int*)OAM;
  unsigned long int* src = (unsigned long int*)sprites;
  for(loop = 0; loop < 128; loop++) {
    *dst++ = *src++;
    *dst++ = *src++;
    //OAM[loop] = temp[loop];
  }
}
#endif

void ScaleSprite(int rotDataIndex, FIXED x_scale,FIXED y_scale)
{

  FIXED pa,pb,pc,pd;

  pa = (x_scale)<<8;
  pb = 0;
  pc = 0;
  pd = (y_scale)<<8;


  rotData[rotDataIndex].pa = pa;  //put them in my data struct
  rotData[rotDataIndex].pb = pb;  // this actually points to the sprite attrib3
  rotData[rotDataIndex].pc = pc;  // so although it looks like a different
  rotData[rotDataIndex].pd = pd; // thing, it is affecting directly sprites
}

void remove_sprite(int id) {
	sprites[id].attribute0 = SIZE_DOUBLE;
  OAM[id*4] = SIZE_DOUBLE;
}

