/************************************\  
* Timers.h by dovoto * 
\************************************/  
#ifndef timers_h_seen
#define timers_h_seen    

#define TIME_FREQUENCY_SYSTEM 0x0  
#define TIME_FREQUENCY_64 0x1  
#define TIME_FREQUENCY_256 0x2  
#define TIME_FREQUENCY_1024 0x3  
#define TIME_OVERFLOW 0x4  
#define TIME_ENABLE 0x80 
#define TIME_IRQ_ENABLE 0x40    

#define SetTimerData(timer, value) {\
	*(volatile u16*)(0x4000100+timer*4)	= (value); }
	
#define SetTimerControl(timer, flags) {\
	*(volatile u16*)(0x4000102+timer*4)	= (flags); }

#endif

